/* 
   -- Ppr_5_02 -- Проверка элементов индикации. Программа для книги Белова А.В.
    
   Этот исходный код графического пользовательского интерфейса был сгенерирован автоматически
   редактором RemoteXY. Для компиляции этого кода с помощью библиотеки RemoteXY 2.3.5 
   или более поздней версии, которую нужно загрузить по ссылке http://remotexy.com/en/library/ 
   Управление производится при помощи мобильного приложения RemoteXY, которое можно скачать 
   по ссылке http://remotexy.com/en/download/                    
     - для ANDROID 4.3.1 или более поздней версии; 
     - для iOS 1.3.5 или более поздней версии; 
     
   Эта программа распространяется как "Free Software"; вы можете распространять и / или изменять 
   ее в соответствии с условиями GNU Lesser General Public 
   Правила лицензирования должны соответствовать Free Software Foundation 
   версии 2.1, либо (по вашему выбору) любой более поздней версии.
*/ 

////////////////////////////////////////////// 
//        RemoteXY include library          // 
////////////////////////////////////////////// 

// определение режима соединения и подключение библиотеки RemoteXY  
#define REMOTEXY_MODE__ESP8266_HARDSERIAL

#include <RemoteXY.h> 

// настройки соединения  
#define REMOTEXY_SERIAL Serial 
#define REMOTEXY_SERIAL_SPEED 115200 
#define REMOTEXY_WIFI_SSID "MyWiFi" 
#define REMOTEXY_WIFI_PASSWORD "РarolMyWiFi" 
#define REMOTEXY_SERVER_PORT 6377 


// конфигурация интерфейса   
#pragma pack(push, 1) 
uint8_t RemoteXY_CONF[] = 
  { 255,0,0,28,0,104,0,8,138,1,
  66,161,6,31,51,7,2,26,65,7,
  11,11,9,9,68,51,4,58,56,38,
  27,36,135,94,208,160,208,181,208,183,
  208,184,209,129,209,130,208,190,209,128,
  32,82,49,0,208,160,208,181,208,183,
  208,184,209,129,209,130,208,190,209,128,
  32,82,50,0,208,160,208,181,208,183,
  208,184,209,129,209,130,208,190,209,128,
  32,82,51,0,67,5,5,42,53,12,
  189,16,11,66,164,29,4,26,20,38,
  24 }; 
   
// структура определяет все переменные вашего интерфейса управления  
struct { 

    // output variable
  int8_t level_1; // =-100..100 положение уровня 
  uint8_t led_1_r; // =0..255 яркость красного цвета индикатора 
  uint8_t led_1_g; // =0..255 яркость зеленого цвета индикатора 
  uint8_t led_1_b; // =0..255 яркость синего цвета индикатора 
  float onlineGraph_1_var1;
  float onlineGraph_1_var2;
  float onlineGraph_1_var3;
  char text_1[11];  // =строка UTF8 оканчивающаяся нулем 
  int8_t level_2; // =-100..100 положение уровня 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY; 
#pragma pack(pop) 

///////////////////////////////////////////// 
//           END RemoteXY include          // 
///////////////////////////////////////////// 



#define AnalogPin0 0   // Аналоговый вход 1
#define AnalogPin1 1   // Аналоговый вход 2
#define AnalogPin2 2   // Аналоговый вход 3
int cur = 0;

void setup()  
{ 
  RemoteXY_Init ();  
   for (int i=2; i<12; i++) {    // Цикл настройки контактов ввода-вывода
    pinMode (i, INPUT_PULLUP);   // Орпределяем контакт как вход с подтяжкой к питанию 
  }
} 

void loop()  
{  
  RemoteXY_Handler ();                  // Процедура обмена данными
  int aval0 = analogRead(AnalogPin0);   // Считывание аналогового значения с R1
  int aval1 = analogRead(AnalogPin1);   // Считывание аналогового значения с R2
  int aval2 = analogRead(AnalogPin2);   // Считывание аналогового значения с R3
  
  RemoteXY.level_1 = aval0/5-100;       // Передача значения на линейный индикатор
  RemoteXY.level_2 = aval1/5-100;       // Передача значения на стрелочный индикатор
  String(aval2/2.55).toCharArray(RemoteXY.text_1, 11);  // на текстовый индикатор

  RemoteXY.led_1_r = aval0/4;   // Установка красной составляющей светодиода
  RemoteXY.led_1_g = aval1/4;   // Установка зеленой составляющей светодиода
  RemoteXY.led_1_b = aval2/4;   // Установка синей составляющей светодиода

  RemoteXY.onlineGraph_1_var1 = aval0;   // Вывод первого графика
  RemoteXY.onlineGraph_1_var2 = aval1;   // Вывод второго графика
  RemoteXY.onlineGraph_1_var3 = aval2;   // Вывод третьего графика

}

