/*
  Программный пример 6.4.    Глава 6.  Программирование для модуля ESP-01 
  Управления модулем реле (вкл/выкл) при нажатии кнопок в "WiFi Controller"
 */
#include <ESP8266WiFi.h>     // Библиотека для ESP8266
#include "Ppr_6_04.h"        // Заголовочный файл

//**********************************************
void setup() {
  Serial.begin(115200);         // Настройка последовательного канала
  Serial.println();             // Вывод символов перевода строки
  SetupSTA();                   // Настройка Wi-Fi и подключение к сети
  pinMode(PinRelay, OUTPUT);    // Настройка контакта
  digitalWrite(PinRelay, LOW);  // Установка начального значения на выходе
  delay(200);
}

//**********************************************
void loop() {
  WiFiClient client = server.available();   // Создать Клиент и подключить к серверу
  if (client) {                             // Если клиент был создан то
    delay(200);
    if(client.connected()) {                // Если клиент подключен то
      Serial.println("Client Connected");   // Сообщить "Клиент подключен"
    }
    while(client.connected()) {             // Пока слиент подключен выполняем цикл 
      codcomm = -1;                         // Код команды = -1 ("Нет команды")
      InputString = client.readStringUntil('\n');   // Выделякм строку из потока
      Serial.println(InputString);
      if (InputString.indexOf("S1")!=-1) {    // Если принята строка - "S1"
        digitalWrite(PinRelay, HIGH);         // Включаем реле
        codcomm = 1;                          // Код команды = 1 ("Вкл реле")
      }
      if (InputString.indexOf("S0")!=-1) {    // Если принята строка - "S0"
        digitalWrite(PinRelay, LOW);          // Выключаем реле
        codcomm = 0;                          // Код команды = 0 ("Выкл реле")
      }
      if (codcomm != -1) {                    // Если код команды не -1 (Есть команда)
        Serial.print("Rele ");                // Выводим сообщение
        Serial.println((codcomm==0)?"OFF":"ON");
      }
    }
    client.stop();                            // Отключаем клиент
    Serial.println("Client disconnected");    // Сообщаем что клиент отключен
    delay(200);
  }
}

