/*
  Программный пример 6.6.    Глава 6.  Программирование для модуля ESP-01 
  Управления метео модулем (температура влажность) через "WiFi Controller"
 */
#include <ESP8266WiFi.h>        // Библиотека для ESP8266
#include "Adafruit_Sensor.h"    // Adafruit_Sensor
#include "DHT.h"                // Подключаем библиотеку DHT
#include "Ppr_6_06.h"           // Заголовочный файл

//**********************************************
void setup() {
  Serial.begin(115200);         // Настройка последовательного канала
  delay(10);                    // Пауза 10 мкс
  Serial.println();             // Вывод символов перевода строки
  SetupSTA();                   // Настройка Wi-Fi и подключение к сети
  dht.begin();                  // Инициализация DHT
  delay(200);
}

//**********************************************
void loop() {
  WiFiClient client = server.available();   // Создать Клиент и подключить к серверу
  if (client) {                             // Если клиент был создан то
    delay(200);
    if(client.connected()) {                // Если клиент подключен то
      Serial.println("Client Connected");   // Сообщить "Клиент подключен"
    }
    while(client.connected()) {             // Пока слиент подключен выполняем цикл 
      InputString = client.readStringUntil('\n');   // Выделякм строку из потока
      Serial.println(InputString);
      if (InputString.indexOf("SP")!=-1) {    // Если принята строка - "SP"
        float t = dht.readTemperature();      // Считывание температуры
        float h = dht.readHumidity();         // Считывание влажности

        client.println("***********************");  // Начало печати сообщения
        client.print("Temperature = ");             // Температура
        client.print(t);                            // Значение температуры
        client.print(char(176));                    // Символ градуса
        client.println("C");                        // Символ "Целсия"
        client.print("Humidity = ");                // Влажность
        client.print(h);                            // Значерие влажности
        client.println("%RH");                      // Размерность влажности
        client.println();                           // пустая строка
      }
    }
    client.stop();                                   // Отключаем клиент
    Serial.println("Client disconnected");           // Сообщаем что клиент отключен
    delay(200);
  }
}

